Bio::MAGETAB::BaseClass(3)

NAME
Bio::MAGETAB::BaseClass - Abstract base class for all MAGE-TAB classes.

SYNOPSIS
 use Bio::MAGETAB::BaseClass;

DESCRIPTION
This class is the abstract base class from which all of the MAGE-TAB classes are derived. It cannot be instantiated directly, but provides methods and attributes common to all MAGE-TAB objects.

ATTRIBUTES

namespace (optional)
    The namespace associated with any object identifiers (data type: String).

authority (optional)
    The authority responsible for assignment of object identifiers (data type: String).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

Methods not related to instantiated object attributes are listed below:

set_ClassContainer
    Class method which stores a Bio::MAGETAB container object which will then be used to store all subsequent instances of any Bio::MAGETAB::BaseClass derived class (i.e., any MAGE-TAB object).

get_ClassContainer
    Class method which retrieves the Bio::MAGETAB container object. This can be used to navigate from a MAGE-TAB object instance to a listing of all MAGE-TAB objects of a given type.

has_ClassContainer
    Class method indicating whether or not a Bio::MAGETAB container object has been associated with this class.

SEE ALSO
Bio::MAGETAB

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).